/**
 * Задача "Лотерея"
 * 1-я личная интернет-олимпиада сезона 2009-2010.
 * Автор задачи: Владимир Ульянцев, ulyantcev@rain.ifmo.ru
 * Автор решения: Ганеев Рустам, ganeev@rain.ifmo.ru
 *
 * неверное решение - без запоминания элементов
 */

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class lottery_rg_60 {
	public static void main(String[] args) {
		new lottery_rg_60().run();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;

	public void run() {
		try {
			br = new BufferedReader(new FileReader("lottery.in"));
			out = new PrintWriter("lottery.out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	private void solve() throws IOException {
		int n = nextInt(), k = nextInt();
		int div[] = new int[n];
		for (int i = 0; i < n; i++) {
			div[i] = nextInt();
		}
		int a = nextInt(), b = nextInt(), ans = 0;
		int sum[] = new int[b - a + 1];
		for (int i = 0; i < n; i++) {
			for (int j = (a % div[i] == 0) ? a : (div[i] * (a / div[i] + 1)); j <= b; j += div[i])
				sum[j - a]++;
		}
		for (int i = 0; i < b - a + 1; i++) {
			ans += sum[i] == k ? 1 : 0;

		}
		out.print(ans);
	}
}
